#ifndef BUTTONS_H
#define BUTTONS_H

#include <qt/qfont.h>
#include <qt/qcolor.h>
#include <qt/qlayout.h>
#include <qt/qpushbutton.h>
#include <qt/qtimer.h>

#include "tunerCard.h"
#include "radioConfig.h"
#include "alarmDialog.h"
#include "lcd.h"
#include "sleepDialog.h"
#include "volSlider.h"

#include <iostream.h>

class ButtonsWidget : public QWidget
{

	Q_OBJECT
	
public:
    ButtonsWidget( volSlider *vSlider=0, tunerCard *cardValue=0, radioConfig *config=0, LCDWidget *lcd=0, QTimer *timer=0, QWidget *parent=0, const char *name=0 );
    void resetMemToggle(void);
    int showMemToggle(void);
    
public slots:
    void doExit(void);
    void doOptions(void);
    void memToggle(void);
    void doFineUp(void);
    void doFineDown(void);
    void doScanUp(void);
    void doScanDown(void);
    void doMute(void);
    void doStrToggle(void);
    
private:
    QPushButton *exit;
    QPushButton *options;
    QPushButton *memButt;
    QPushButton *fineUp;
    QPushButton *fineDown;
    QPushButton *scanUp;
    QPushButton *scanDown;
    QPushButton *mutebutt;
    QPushButton *strMono;    
    tunerCard *card;
    radioConfig *configuration;
    QTimer *timerPtr;
    LCDWidget *lcdPtr;
    int mem; 
};

#endif
