/*
 *	File Name: progButtons.cpp
 *	Function: X-Windows Code to present preset program button found at the GUI
 *
 *   	This program is free software; you can redistribute it and/or modify
 *   	it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *   	This program is distributed in the hope that it will be useful,
 *   	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   	GNU General Public License for more details.
 *
 *   	You should have received a copy of the GNU General Public License
 *   	along with this program; if not, write to the Free Software
 *   	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *	Author: Heng Yiak Por (alleycat@pacific.net.sg)
 *	Date of Release:  13 Apr 2000
 *	Version: 1.0.0
 *
 *	Bugs: None
 *
 */

#include <qt/qfont.h>
#include <qt/qcolor.h>
#include <qt/qlayout.h>
#include <qt/qpushbutton.h>
#include <qt/qpixmap.h>

#include "tunerCard.h"
#include "buttons.h"
#include <stdlib.h>



class progButtonsWidget : public QWidget
{

	Q_OBJECT
	
public:
    progButtonsWidget( tunerCard *cardValue=0, ButtonsWidget *butt=0, QWidget *parent=0, const char *name=0 );
    
public slots:
    void doProgLoad(void);
    
private:
    QPushButton *num1;
    QPushButton *num2;
    QPushButton *num3;
    QPushButton *num4;
    QPushButton *num5;
    QPushButton *num6;
    QPushButton *num7;
    QPushButton *num8;
    QPushButton *num9;
    QPushButton *num10;    
    tunerCard *card;
    ButtonsWidget *otherButt;
};

void progButtonsWidget::doProgLoad( void )
{	
	if(otherButt->showMemToggle() == 1)
	{
		card->storeProg(atoi(((QPushButton *) sender())->name()));
		otherButt->resetMemToggle();		
	} else {
		card->loadProg(atoi(((QPushButton *) sender())->name()));
	}
}

progButtonsWidget::progButtonsWidget( tunerCard *cardValue, ButtonsWidget * butt, QWidget *parent, const char *name  ) : QWidget( parent, name )
{
    card=cardValue;
    otherButt=butt;

    num1 = new QPushButton( "1", this, "1" );
    if(QPixmap("/etc/pcr/num1.bmp").isNull())
    	num1->setFont( QFont( "Times", 10 ) );
    else
    	num1->setPixmap(QPixmap("/etc/pcr/num1.bmp"));
    connect(num1, SIGNAL(clicked()), this, SLOT(doProgLoad()) );

    num2 = new QPushButton( "2", this, "2" );
    if(QPixmap("/etc/pcr/num2.bmp").isNull())
    	num2->setFont( QFont( "Times", 10 ) );
    else
    	num2->setPixmap(QPixmap("/etc/pcr/num2.bmp"));
    connect(num2, SIGNAL(clicked()), this, SLOT(doProgLoad()) );
    
    num3 = new QPushButton( "3", this, "3" );
    if(QPixmap("/etc/pcr/num3.bmp").isNull())
    	num3->setFont( QFont( "Times", 10 ) );
    else
    	num3->setPixmap(QPixmap("/etc/pcr/num3.bmp"));
    connect(num3, SIGNAL(clicked()), this, SLOT(doProgLoad()) );
    
    num4 = new QPushButton( "4", this, "4" );
    if(QPixmap("/etc/pcr/num4.bmp").isNull())
	num4->setFont( QFont( "Times", 10 ) );
    else
    	num4->setPixmap(QPixmap("/etc/pcr/num4.bmp"));
    connect(num4, SIGNAL(clicked()), this, SLOT(doProgLoad()) );
    
    num5 = new QPushButton( "5", this, "5" );
    if(QPixmap("/etc/pcr/num5.bmp").isNull())
	num5->setFont( QFont( "Times", 10 ) );
    else
    	num5->setPixmap(QPixmap("/etc/pcr/num5.bmp"));
    connect(num5, SIGNAL(clicked()), this, SLOT(doProgLoad()) );
    
    num6 = new QPushButton( "6", this, "6" );
    if(QPixmap("/etc/pcr/num6.bmp").isNull())
	num6->setFont( QFont( "Times", 10 ) );
    else
    	num6->setPixmap(QPixmap("/etc/pcr/num6.bmp"));
    connect(num6, SIGNAL(clicked()), this, SLOT(doProgLoad()) );
    
    num7 = new QPushButton( "7", this, "7" );
    if(QPixmap("/etc/pcr/num7.bmp").isNull())
	num7->setFont( QFont( "Times", 10 ) );
    else
    	num7->setPixmap(QPixmap("/etc/pcr/num7.bmp"));
    connect(num7, SIGNAL(clicked()), this, SLOT(doProgLoad()) );
    
    num8 = new QPushButton( "8", this, "8" );
    if(QPixmap("/etc/pcr/num8.bmp").isNull())
	num8->setFont( QFont( "Times", 10 ) );
    else
    	num8->setPixmap(QPixmap("/etc/pcr/num8.bmp"));
    connect(num8, SIGNAL(clicked()), this, SLOT(doProgLoad()) );
    
    num9 = new QPushButton( "9", this, "9" );
    if(QPixmap("/etc/pcr/num9.bmp").isNull())
	num9->setFont( QFont( "Times", 10 ) );
    else
    	num9->setPixmap(QPixmap("/etc/pcr/num9.bmp"));
    connect(num9, SIGNAL(clicked()), this, SLOT(doProgLoad()) );
    
    num10 = new QPushButton( "10", this, "10" );
    if(QPixmap("/etc/pcr/num10.bmp").isNull())
	num10->setFont( QFont( "Times", 10 ) );
    else
    	num10->setPixmap(QPixmap("/etc/pcr/num10.bmp"));
    connect(num10, SIGNAL(clicked()), this, SLOT(doProgLoad()) );

  
    QHBoxLayout *boxLayout=new QHBoxLayout(this, 2);
    boxLayout->addWidget(num1);
    boxLayout->addWidget(num2);
    boxLayout->addWidget(num3);
    boxLayout->addWidget(num4);
    boxLayout->addWidget(num5);
    boxLayout->addWidget(num6);
    boxLayout->addWidget(num7);
    boxLayout->addWidget(num8);
    boxLayout->addWidget(num9);
    boxLayout->addWidget(num10);      
}

