/*
 *	File Name: sleepDialog.cpp
 *	Function: X-Windows Code to present sleep dialog to user
 *
 *   	This program is free software; you can redistribute it and/or modify
 *   	it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *   	This program is distributed in the hope that it will be useful,
 *   	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   	GNU General Public License for more details.
 *
 *   	You should have received a copy of the GNU General Public License
 *   	along with this program; if not, write to the Free Software
 *   	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *	Author: Heng Yiak Por (alleycat@pacific.net.sg)
 *	Date of Release:  13 Apr 2000
 *	Version: 1.0.0
 *
 *	Bugs: None
 *
 */

#include <qt/qdialog.h>
#include <qt/qpushbutton.h>
#include <qt/qspinbox.h>
#include <qt/qradiobutton.h>
#include <qt/qlabel.h>

#include "radioConfig.h"
#include "sleepSpinBox.h"

class sleepDialog : public QDialog
{

	Q_OBJECT
	
public:
    	sleepDialog( radioConfig *config=0, QWidget *parent=0, const char *name=0 );
    	unsigned char showSleepMin(void);
    	
private slots:
	void doSleepMin(int);	
	    
private:
	unsigned char sleepMin;
	radioConfig *configuration;
};

unsigned char sleepDialog::showSleepMin(void)
{
	return sleepMin;
}

void sleepDialog::doSleepMin(int value)
{
	sleepMin = (unsigned char) value;
}

sleepDialog::sleepDialog( radioConfig *config, QWidget *parent, const char *name  )
        : QDialog( parent, name, TRUE )
{
		
	QPushButton *ok, *cancel;
	QLabel *lbl;
	sleepSpinBox *min;
	
	configuration=config;
	
	sleepMin=configuration->showSleepTime();
		
	setCaption("Sleep Setting Dialog Window");

	ok = new QPushButton("OK", this);
	connect(ok, SIGNAL(clicked()), SLOT(accept()) );
	cancel = new QPushButton("Cancel", this);	
	connect(cancel, SIGNAL(clicked()), SLOT(reject()) );
	
	min= new sleepSpinBox(sleepMin, this);	
	connect(min, SIGNAL(valueChanged(int)), SLOT(doSleepMin(int)) );

	lbl = new QLabel("Minutes", this);

	ok->setGeometry(30, 100, 80, 30);
	cancel->setGeometry(140, 100, 80, 30);

	min->setGeometry(120, 40, 45, 5);
	
	lbl->setGeometry(70,  30, 50, 50);
 
	setFixedSize(250,150);

}

